Bug 1284409 - Support for reloadable config options
Support for reloadable config options
Status: CLOSED WONTFIX
Product: ovirt-engine
Classification: oVirt
Component: RFEs (Show other bugs)
future
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Scott Herold
Gil Klein
infra
:
Depends On:
Blocks: 1124851
  Show dependency treegraph
 
Reported: 2015-11-23 04:41 EST by Marek Libra
Modified: 2016-02-10 14:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-24 01:47:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Marek Libra 2015-11-23 04:41:22 EST
Description of problem: 

Add support for reloadable configuration so restart of the engine is not needed to take effect of a change.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Oved Ourfali 2015-11-24 01:47:04 EST
This was discussed in the past and we decided not to add that support.
Comment 2 Michal Skrivanek 2015-11-25 03:38:26 EST
I believe the right resolution is NOTABUG, we do have that support in REST API, that would be enough for the purpose of bug 1124851
Comment 3 Oved Ourfali 2015-11-25 03:41:06 EST
(In reply to Michal Skrivanek from comment #2)
> I believe the right resolution is NOTABUG, we do have that support in REST
> API, that would be enough for the purpose of bug 1124851

The support in rest-api is deprecated and will be removed.
The configuration items aren't handled properly. Some are reloadable (although not marked as such), and some aren't (and they are marked as such).
Comment 4 Michal Skrivanek 2015-11-25 04:11:42 EST
(In reply to Oved Ourfali from comment #3)
> (In reply to Michal Skrivanek from comment #2)
> > I believe the right resolution is NOTABUG, we do have that support in REST
> > API, that would be enough for the purpose of bug 1124851
> 
> The support in rest-api is deprecated and will be removed.
> The configuration items aren't handled properly. Some are reloadable
> (although not marked as such), and some aren't (and they are marked as such).

I'm fine with it being removed in future and replaced with a different/better solution. But I think the fields' designation should be corrected regardless the reload framework. I.e. whether the code using the parameters in fact deals with dynamic changes or not. (that's the point of the original bug 1124851, which I believe has it's merit regardless the fate of this bug)

When is the REST API part going away? Is it already deprecated or in which release it will be?
Comment 5 Oved Ourfali 2015-11-25 04:16:23 EST
(In reply to Michal Skrivanek from comment #4)
> (In reply to Oved Ourfali from comment #3)
> > (In reply to Michal Skrivanek from comment #2)
> > > I believe the right resolution is NOTABUG, we do have that support in REST
> > > API, that would be enough for the purpose of bug 1124851
> > 
> > The support in rest-api is deprecated and will be removed.
> > The configuration items aren't handled properly. Some are reloadable
> > (although not marked as such), and some aren't (and they are marked as such).
> 
> I'm fine with it being removed in future and replaced with a
> different/better solution. But I think the fields' designation should be
> corrected regardless the reload framework. I.e. whether the code using the
> parameters in fact deals with dynamic changes or not. (that's the point of
> the original bug 1124851, which I believe has it's merit regardless the fate
> of this bug)

Fixing the fields is part of the different verticals.
However, we didn't revive it as we're heading a use of config file for the configuration.

> 
> When is the REST API part going away? Is it already deprecated or in which
> release it will be?

In 4.0 probably.

Note You need to log in before you can comment on or make changes to this bug.